public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: add the rngd test to upstream repo
Date: Fri, 11 Sep 2026 13:18:55 GMT	[thread overview]
Message-ID: <178913273505.1.18381886168484317581.tests-selinux-3ef78f944656@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 3ef78f944656686969e524de099aed18dd6f5c0c
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2021-03-04T18:50:23+00:00
            Stats  : +273/-0 in 4 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/3ef78f944656686969e524de099aed18dd6f5c0c?branch=pr775-checkpolicy-revdeps

            Log:
            add the rngd test to upstream repo

The rng-tools component is used in various versions of RHEL and Fedora,
so it makes sense to run this TC in upstream testing too.
There are no changes in the TC functionality.
Moving the downstream TC to upstream repository.

---
diff --git a/selinux-policy/rngd-and-similar/Makefile b/selinux-policy/rngd-and-similar/Makefile
new file mode 100644
index 0000000..43f6ad4
--- /dev/null
+++ b/selinux-policy/rngd-and-similar/Makefile
@@ -0,0 +1,90 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Makefile of /CoreOS/selinux-policy/Regression/rngd-and-similar
+#   Description: SELinux interferes with rngd and related programs
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/rngd-and-similar
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+	./runtest.sh
+
+build: $(BUILT_FILES)
+	chmod a+x runtest.sh
+	chcon -t bin_t runtest.sh
+
+clean:
+	rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+	@echo "Owner:           Milos Malik <mmalik@redhat.com>" > $(METADATA)
+	@echo "Name:            $(TEST)" >> $(METADATA)
+	@echo "TestVersion:     $(TESTVERSION)" >> $(METADATA)
+	@echo "Path:            $(TEST_DIR)" >> $(METADATA)
+	@echo "Description:     SELinux interferes with rngd and related programs" >> $(METADATA)
+	@echo "Type:            Regression" >> $(METADATA)
+	@echo "TestTime:        15m" >> $(METADATA)
+	@echo "RunFor:          selinux-policy" >> $(METADATA)
+	@echo "RunFor:          rng-tools" >> $(METADATA)
+	@echo "Requires:        audit libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console rng-tools initscripts" >> $(METADATA)
+	@echo "RhtsRequires:    library(selinux-policy/common)" >> $(METADATA)
+	@echo "Priority:        Normal" >> $(METADATA)
+	@echo "License:         GPLv2" >> $(METADATA)
+	@echo "Confidential:    no" >> $(METADATA)
+	@echo "Destructive:     no" >> $(METADATA)
+	@echo "Environment:     AVC_ERROR=+no_avc_check" >> $(METADATA)
+	@echo "Releases:        -RHEL4 -RHEL5 -RHEL6" >> $(METADATA)
+	@echo "Bug:             869810" >> $(METADATA) # Fedora 18
+	@echo "Bug:             869813" >> $(METADATA) # Fedora 18
+	@echo "Bug:             1451735" >> $(METADATA) # RHEL-7
+	@echo "Bug:             1452629" >> $(METADATA) # RHEL-7
+	@echo "Bug:             1496260" >> $(METADATA) # RHEL-7
+	@echo "Bug:             1609466" >> $(METADATA) # RHEL-7
+	@echo "Bug:             1611413" >> $(METADATA) # RHEL-7
+	@echo "Bug:             1612456" >> $(METADATA) # RHEL-7
+	@echo "Bug:             1653872" >> $(METADATA) # RHEL-8
+	@echo "Bug:             1655079" >> $(METADATA) # RHEL-8
+	@echo "Bug:             1656054" >> $(METADATA) # RHEL-8
+	@echo "Bug:             1657250" >> $(METADATA) # RHEL-8
+	@echo "Bug:             1658234" >> $(METADATA) # RHEL-8
+	@echo "Bug:             1698575" >> $(METADATA) # RHEL-8
+	@echo "Bug:             1699278" >> $(METADATA) # RHEL-8
+	@echo "Bug:             1700222" >> $(METADATA) # RHEL-8
+	@echo "Bug:             1787663" >> $(METADATA) # Fedora 32
+	@echo "Bug:             1789902" >> $(METADATA) # Fedora 32
+	@echo "Bug:             1787661" >> $(METADATA) # Fedora 32
+	@echo "Bug:             1928572" >> $(METADATA) # Fedora 33
+	@echo "Bug:             1929360" >> $(METADATA) # Fedora 33
+	@echo "Bug:             1929366" >> $(METADATA) # Fedora 33
+
+	rhts-lint $(METADATA)
+

diff --git a/selinux-policy/rngd-and-similar/PURPOSE b/selinux-policy/rngd-and-similar/PURPOSE
new file mode 100644
index 0000000..8c46dd0
--- /dev/null
+++ b/selinux-policy/rngd-and-similar/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/rngd-and-similar
+Author: Milos Malik <mmalik@redhat.com>
+
+SELinux interferes with rngd and related programs.
+

diff --git a/selinux-policy/rngd-and-similar/main.fmf b/selinux-policy/rngd-and-similar/main.fmf
new file mode 100644
index 0000000..9c9828b
--- /dev/null
+++ b/selinux-policy/rngd-and-similar/main.fmf
@@ -0,0 +1,2 @@
+path: /selinux-policy/rngd-and-similar
+tier: 2

diff --git a/selinux-policy/rngd-and-similar/runtest.sh b/selinux-policy/rngd-and-similar/runtest.sh
new file mode 100755
index 0000000..5113fdc
--- /dev/null
+++ b/selinux-policy/rngd-and-similar/runtest.sh
@@ -0,0 +1,176 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   runtest.sh of /CoreOS/selinux-policy/Regression/rngd-and-similar
+#   Description: SELinux interferes with rngd and related programs
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+ROOT_PASSWORD="redhat"
+FILE_PATH="/sbin/rngd"
+FILE_CONTEXT="rngd_exec_t"
+SERVICE_PACKAGE="rng-tools"
+SERVICE_NAME="rngd"
+PROCESS_NAME="rngd"
+PROCESS_CONTEXT="rngd_t"
+
+rlJournalStart
+    rlPhaseStartSetup
+        rlRun "rlImport 'selinux-policy/common'"
+        rlSESatisfyRequires
+        rlAssertRpm ${PACKAGE}
+        rlAssertRpm ${PACKAGE}-targeted
+        rlAssertRpm ${SERVICE_PACKAGE}
+
+        rlServiceStop ${SERVICE_NAME}
+        rlFileBackup /etc/shadow
+
+        rlSESetEnforce
+        rlSEStatus
+        rlSESetTimestamp
+        sleep 2
+    rlPhaseEnd
+
+    rlPhaseStartTest "SELinux contexts and rules"
+        if rlIsRHEL 5 ; then
+            SOURCE_TYPE="initrc_t"
+            BOOLEANS="[ ]"
+        elif rlIsRHEL 6 ; then
+            SOURCE_TYPE="initrc_t"
+        else # RHEL-7 etc.
+            SOURCE_TYPE="init_t" # systemd runs the process
+        fi
+        rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
+        rlSESearchRule "allow ${SOURCE_TYPE} ${FILE_CONTEXT} : file { getattr open read execute }"
+        rlSESearchRule "allow ${SOURCE_TYPE} ${PROCESS_CONTEXT} : process { transition } ${BOOLEANS}"
+        rlSESearchRule "type_transition ${SOURCE_TYPE} ${FILE_CONTEXT} : process ${PROCESS_CONTEXT} ${BOOLEANS}"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#869810 + bz#869813"
+        rlSEMatchPathCon "/usr/sbin/rngd" "rngd_exec_t"
+        rlRun "ls -Z /proc | grep :proc_t"
+        rlRun "ls -Z /proc/sys | grep :sysctl_t"
+        rlRun "ls -Z /proc/sys/kernel | grep :sysctl_kernel_t"
+        rlRun "ls -Z /proc/sys/kernel/random | grep :sysctl_kernel_t"
+        rlRun "ls -Z /proc/sys/kernel/random/poolsize | grep :sysctl_kernel_t"
+        rlSESearchRule "allow rngd_t proc_t : dir { getattr open search }"
+        rlSESearchRule "allow rngd_t sysctl_t : dir { getattr open search }"
+        rlSESearchRule "allow rngd_t sysctl_kernel_t : dir { getattr open search }"
+        rlSESearchRule "allow rngd_t sysctl_kernel_t : file { getattr open read }"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1451735 + bz#1452629"
+        rlSEMatchPathCon "/usr/sbin/rngd" "rngd_exec_t"
+        rlSESearchRule "allow rngd_t sysfs_t : dir { getattr open search }"
+        rlSESearchRule "allow rngd_t sysfs_t : file { getattr open read }"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1496260"
+        rlSEMatchPathCon "/usr/sbin/rngd" "rngd_exec_t"
+        rlSEMatchPathCon "/dev/ttyUSB0" "usbtty_device_t"
+        rlSESearchRule "allow rngd_t usbtty_device_t : chr_file { getattr open read }"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1609466 + bz#1611413 + bz#1612456"
+        rlSEMatchPathCon "/usr/sbin/rngd" "rngd_exec_t"
+        rlSEMatchPathCon "/etc/pki" "cert_t"
+        rlSEMatchPathCon "/etc/pki/tls" "cert_t"
+        rlSEMatchPathCon "/etc/pki/tls/legacy-settings" "cert_t"
+        rlSESearchRule "allow rngd_t cert_t : dir { getattr open search }"
+        rlSESearchRule "allow rngd_t cert_t : file { getattr open read }"
+    rlPhaseEnd
+
+    if ! rlIsRHEL 5 6 7 ; then
+    rlPhaseStartTest "bz#1653872 + bz#1655079 + bz#1657250 + bz#1658234"
+        rlSEMatchPathCon "/usr/sbin/rngd" "rngd_exec_t"
+        rlSESearchRule "allow rngd_t rngd_t : process { setsched } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1656054"
+        rlSEMatchPathCon "/usr/sbin/rngd" "rngd_exec_t"
+        rlRun "ls -Z /proc/cpuinfo | grep :proc_t"
+        rlSESearchRule "allow rngd_t proc_t : file { getattr open read } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1698575 + bz#1699278 + bz#1700222"
+        rlSEMatchPathCon "/usr/sbin/rngd" "rngd_exec_t"
+        rlRun "ls -Z /proc/sys/kernel/random/write_wakeup_threshold | grep :sysctl_kernel_t"
+        rlSESearchRule "allow rngd_t sysctl_kernel_t : file { write } [ ]"
+    rlPhaseEnd
+    fi
+
+    if rlIsFedora ; then
+    rlPhaseStartTest "bz#1787661 + bz#1787663 + bz#1789902"
+        rlSEMatchPathCon "/usr/sbin/rngd" "rngd_exec_t"
+        rlSEMatchPathCon "/var/lib/sss" "sssd_var_lib_t"
+        rlSEMatchPathCon "/var/lib/sss/mc" "sssd_public_t"
+        rlSEMatchPathCon "/var/lib/sss/mc/passwd" "sssd_public_t"
+        rlSEMatchPathCon "/var/lib/sss/pipes" "sssd_var_lib_t"
+        rlSEMatchPathCon "/var/lib/sss/pipes/nss" "sssd_var_lib_t"
+        rlSESearchRule "allow rngd_t passwd_file_t : file { getattr open read } [ ]"
+        rlSESearchRule "allow rngd_t sssd_public_t : dir { search } [ ]"
+        rlSESearchRule "allow rngd_t sssd_public_t : file { getattr open read map } [ ]"
+        rlSESearchRule "allow rngd_t sssd_t : unix_stream_socket { connectto } [ ]"
+        rlSESearchRule "allow rngd_t sssd_var_lib_t : dir { search } [ ]"
+        rlSESearchRule "allow rngd_t sssd_var_lib_t : sock_file { getattr open write } [ ]"
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1928572 + bz#1929360 + bz#1929366"
+        rlSEMatchPathCon "/sys" "sysfs_t"
+        rlSESearchRule "allow rngd_t sysfs_t : filesystem { getattr } [ ]"
+    rlPhaseEnd
+    fi
+
+    rlPhaseStartTest "real scenario"
+        rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"
+        rlRun "modprobe tpm-rng" 0,1
+        if ! rlSEDefined ${PROCESS_CONTEXT} ; then
+            if rlIsRHEL 5 6 ; then
+                PROCESS_CONTEXT="initrc_t"
+            else
+                PROCESS_CONTEXT="unconfined_service_t"
+            fi
+        fi
+        rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "start status" 1
+        rlRun "setsebool daemons_use_tty on"
+        rlRun "runcon system_u:system_r:initrc_t:s0 bash -c 'rngd -l'" 0-255
+        rlRun "setsebool daemons_use_tty off"
+        rlRun "restorecon -Rv /run /var"
+        rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "restart status stop status" 1
+    rlPhaseEnd
+
+    rlPhaseStartCleanup
+        sleep 2
+        rlSECheckAVC
+
+        rlFileRestore
+        rlServiceRestore ${SERVICE_NAME}
+    rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+

                 reply	other threads:[~2026-09-11 13:18 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913273505.1.18381886168484317581.tests-selinux-3ef78f944656@fedoraproject.org \
    --to=mmalik@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox